Bug 722537 - (CVE-2011-2694) CVE-2011-2694 samba (SWAT): XSS flaw in Change Password page
CVE-2011-2694 samba (SWAT): XSS flaw in Change Password page
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110726,reported=20110708,sou...
: Security
Depends On: 722551 722552 722553 722555 722556 722560 722561 725890
Blocks: 721358
  Show dependency treegraph
 
Reported: 2011-07-15 11:32 EDT by Jan Lieskovsky
Modified: 2016-11-08 10:54 EST (History)
10 users (show)

See Also:
Fixed In Version: samba 3.5.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-30 03:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-07-15 11:32:21 EDT
It was found that the 'Change Password' page / screen of the Samba Web Administration Tool did not properly sanitize content of the user-provided
"user" field, prior printing it back to the page content. A remote attacker could provide a specially-crafted URL, which once visited by an authenticated Samba SWAT user could allow the attacker to conduct cross-site scripting attacks (execute arbitrary HTML or script code).

Upstream bug report:
[1] https://bugzilla.samba.org/show_bug.cgi?id=8290 (not public yet)

Acknowledgements:

Red Hat would like to thank the Samba project for reporting this issue. Upstream acknowledges Nobuhiro Tsuji of NTT DATA SECURITY CORPORATION as the original reporter.
Comment 1 Jan Lieskovsky 2011-07-15 11:34:16 EDT
This issue affects the versions of the samba package, as shipped with Red Hat
Enterprise Linux 4, 5, and 6.

--

This issue affects the version of the samba3x package, as shipped with Red Hat
Enterprise Linux 5.

--

This issue does NOT affect the version of the samba4 package, as shipped with
Red Hat Enterprise Linux 6.

--

This issue affects the versions of the samba package, as shipped with Fedora
release of 14 and 15.
Comment 10 Vincent Danen 2011-07-26 17:08:57 EDT
Created samba tracking bugs for this issue

Affects: fedora-all [bug 725890]
Comment 11 errata-xmlrpc 2011-08-29 13:27:26 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1220 https://rhn.redhat.com/errata/RHSA-2011-1220.html
Comment 12 errata-xmlrpc 2011-08-29 13:27:49 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:1219 https://rhn.redhat.com/errata/RHSA-2011-1219.html
Comment 13 errata-xmlrpc 2011-08-29 13:38:25 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1221 https://rhn.redhat.com/errata/RHSA-2011-1221.html

Note You need to log in before you can comment on or make changes to this bug.